Support bootstrap 4.0.0-alpha.6

Bug description:

Since the release of alpha 6 today (1/6/17) some components stopped working. I noticed that modal does not work anymore.

Link to minimally-working plunker that reproduces the issue:

You can try your own plunker at:

https://ng-bootstrap.github.io/app/components/modal/demos/component/plnkr.html

It is already not working as it links to the dist folder from bootstrap.

Version of Angular, ng-bootstrap, and Bootstrap:

Angular: 2.0.0

ng-bootstrap: 1.0.0-alpha.16

Bootstrap: 4.0.0-alpha.6

1 possible answer(s) on “Support bootstrap 4.0.0-alpha.6

  1. For anyone arriving / commenting on this issue: we are well aware of all the Bootstrap 6 compatibility breaking changes and got all the directives working again with 4.0.0-alpha.6 in the bootstrap-alpha.6-upgrade branch. If you need a patched version of this library now you can build a version from this branch.

    We just have to do some cosmetic changes to the demo site (the exact list of changes in the comment below) and will be releasing beta.18 with full Bootstrap 4.0.0-alpha.6 compatibility today / tomorrow the latest.